Subject: Re: [PATCH v3 0/6] config.h

From: Brandon Williams <[email-masked]>
Date: Thu, 15 Jun 2017 13:33:32 -0700

On 06/15, Junio C Hamano wrote:
> Brandon Williams <[email-masked]> writes:
> 
> > Changes in v3:
> >
> > * tweaked the discover_git_directory function's API based on Peff's feedback
> > * reordered the last three patches so that they flowed a bit better
> > * renamed 'git_config_with_options'
> > * rebased ontop of v4 of Dscho's alias series
> >   https://public-inbox.org/git/[email-masked]/
> 
> Applying this series was messier than necessary, I'd have to say, as
> this series would not apply cleanly on top of the result of applying
> Dscho's v4 on top of the same base as Dscho's v3 was applied (which
> is v2.13.0).  It applied cleanly only when Dscho's v4 and then this
> series were applied on top of 02a2850a ("Sync with maint",
> 2017-06-13), which is a much newer commit than v2.13.0.
> 
> Which in turn means these two fixes cannot be merged to 'maint' as
> you two collaboratively prepared.
> 
> I've applied Dscho's v4 on top of v2.13.0 (just like his v3 was
> queued in my tree on the same base), and then tweaked this series to
> apply on top of that, so that they can go to 'maint' if we chose to.
> 
> But it is possible that during this unnecessary patch shuffling, I
> may have made some mistake, so please eyeball the resulting 12
> patches carefully when they are pushed out.

Ugh, I'm terribly sorry.  Completely my bad as I didn't consider what
you would need to do on your end.  When I built my patches on top of his
I naively just applied his v4 to what ever the current origin/master was
at that point in time.  I'll be sure to be more careful with this
next time.

-- 
Brandon Williams